Page MenuHomePhabricator

1.31.0-wmf.17 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.17
Release Date
1515974400

2018 week 03 1.31-wmf.17 Changes wmf/1.31.0-wmf.17

This MediaWiki Train Deployment is scheduled for the week of Monday, January 15th:

Monday January 15thTuesday, January 16thWednesday, January 17thThursday, January 18thFriday
SWAT deployments only.Branch wmf.17 and deploy to Group 0 Wikis.Deploy wmf.17 to Group 1 Wikis.Deploy wmf.17 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.17 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.16
Next: 1.31.0-wmf.18

Event Timeline

greg created this task.Jan 2 2018, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 6:59 PM
thcipriani triaged this task as Normal priority.Jan 17 2018, 4:41 PM
thcipriani moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
greg closed this task as Resolved.Jan 23 2018, 11:32 PM